Chapter 2. Installing eClient 19
In order to connect to different back-end servers such as Content Manager, EIP
connectors (and minimal EIP components) must be installed.
You can find a complete list of prerequisites for eClient installation in Chapter 2,
“Requirements” in IBM Content Manager for Multiplatforms/IBM Information
Integrator for Content: Installing, Configuring, and Managing eClient,
SC27-1350.
For our scenario, we have installed DB2 V8.1, DB2 TIE V8.1, WebSphere
Application Server V5.1, HTTP Web Server V3.26 and Content Manager server
V8.2 on the same machine.
2.2 Installing Information Integrator for Content Version 8 (EIP)
This section provides instructions for installing, configuring and verifying
Information Integrator for Content Version 8 (EIP) on a Windows platform. We
assume you have already installed Content Manager Version 8 on your machine.
If you have not done so, please refer to IBM Content Manager for Multiplatforms:
Planning and Installing Your Content Manager System, GC27-1332 for more
details.
2.2.1 Hardware and software requirements
When you follow the procedures provided in the following section to install EIP on
Windows, your should have the appropriate hardware and software.
Basic hardware requirement
The following is a list of basic hardware requirements for your EIP installation. In
order to follow our scenario, we assume you will install everything in one
machine.
򐂰 Processor: Intel Pentium® 800 MHz or equivalent
򐂰 RAM: minimum 512 MB, 1024 MB recommended
򐂰 Disk storage: 1 GB swap space, 400 MB install space, 10 MB temporary
space
Basic software requirement
The following is a list of basic software requirements for your EIP installation. In
order to follow our scenario, we assume you will install everything in one
machine.
򐂰 Operating system: Microsoft® Windows NT 4.0 Server with Service Pack 6 or
later, Windows 2000 Server, or Windows XP
򐂰 Network communication: TCP/IP installed with Windows
20 eClient 101 Customization and Integration
򐂰 IBM DB2 Universal Database Version 8.1 with DB2 Application Development
Client
򐂰 Microsoft Visual C++ Version 6.0
򐂰 Java Development Kit, Version 1.3
򐂰 JDBC driver 1.3 (Java only)
򐂰 ODBC 3.0 (C++ only)
򐂰 Internet Explorer Version 5.0 or later
Software prerequisites verification
Use Table 2-1 as a quick reference to verify that your machine has the
prerequisite software and the appropriate versions.
Table 2-1 Basic software prerequisite verification
Prerequisite How to check Example value
1) Windows NT Service Pack
6
2) Windows 2000 Server
Service Pack 2
Winver 1) Version 4.0 (Build 1381: Service Pack
6)
2) Version 5.0 (Build 2195: Service Pack
2)
Java Development Kit V1.3 java -fullversion Version needs to read 1.3.1 (for example,
if you are using the version from
WebSphere Application Server, it will
read: java full version “J2RE 1.3.1
IBM Windows 32 build cn131w-20020403
ORB130).
UDB EE V7.2 with Fix Pack 7
or higher
From the DB2 command
window: db2level
Level needs to read “SQL07025” or
greater with Fix Pack level of “WR21306”
or greater.
DB2 UDB Enterprise Server
Edition Version 8.1 with Fix
Pack 1
From the DB2 command
window: db2level
Level needs to read 1 SQL08010 or DB2
V8.1.1.27. The Fix Pack information
needs to read “FixPak 1” and list the Fix
Pack level (for example, “s021124” is the
Fix Pack that had been available since
November 24, 2002).
DB2 Text Information
Extender with Fix Pack 1
From the DB2 command
prompt: db2text start
1. CTE0185
2. CTE0001 Operation completed
successfully

Get eClient 101 Customization and Integration now with O’Reilly online learning.

O’Reilly members experience live online training, plus books, videos, and digital content from 200+ publishers.